Skip to content

Get the latest review from one user to another

GET
/reviews/latest/between
curl --request GET \
--url 'https://api.ethos.network/api/v2/reviews/latest/between?authorUserKey=example&subjectUserKey=example'

Returns the most recent review the author has written about the subject, or null if there is none. Set excludeLinkedToVouch=true to ignore reviews that were attached to a vouch.

authorUserKey
required
string
subjectUserKey
required
string
excludeLinkedToVouch
boolean

Successful response

Media typeapplication/json
object

Example generated

{}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}